<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 1/1/16
 * Time: 12:43 PM
 */

namespace qfq;

require_once(__DIR__ . '/AbstractException.php');

/**
 * Class UserException
 *
 * Thrown by Form or FormElement on User errors
 *
 * @package qfq\exceptions
 */
class CodeException extends AbstractException {

    /*
      * @return string HTML formatted error string
      */
    public function formatMessage() {

        $this->messageArray['Type'] = 'Code Exception';

        return parent::formatException();
    }
}